> ## Documentation Index
> Fetch the complete documentation index at: https://developers.lucca.fr/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Purchase

> Retrieve a purchase by its ID.



## OpenAPI

````yaml /openapi-specs/lucca-invoices.yaml get /cleemy-procurement/api/purchases/{id}
openapi: 3.1.0
info:
  title: Lucca.Invoices
  version: '1.0'
  description: |
    Welcome on the documentation for the Lucca Invoices API.
  contact:
    name: API Support
    url: https://support.lucca.fr
    email: contact@luccasoftware.com
  license:
    name: Unlicensed
    url: https://www.luccasoftware.com
servers:
  - url: https://{host}
    description: Your Lucca account URL.
    variables:
      host:
        default: example.ilucca.net
        description: >-
          The URL of your dedicated Lucca account: `{account}.{env}.{region}`.


          Account reflects your company name. Env indicates the environment.
          Region depends on your server location.


          **Please, use your test or sandbox environments (and not your
          production env.) for testing purposes.**


          Environments:

          - `ilucca`: production environment for customers.

          - `ilucca-test`: test environment for customers.

          - `ilucca-demo`: demo environment for prospects.


          Regions:

          - `.ch` for Swiss located accounts.

          - `.net` for the others.


          Regarding sandboxes, the pattern differs:
          `https://{account}-{sandboxName}.sandbox.{server}.luccasoftware.com`,
          where:

          - `{sandboxName}` is automatically generated upon creation.

          - `{server}` may be "eu1", "eu2" or "ch1".
security: []
tags:
  - name: Purchases
    description: Purchases.
  - name: Cost-Centers
    description: Cost-Centers.
  - name: Approval
    description: Approval.
  - name: VAT
    description: VAT Rates.
  - name: Booked-Documents
    description: Booked-Documents.
  - name: Suppliers
    description: Suppliers.
  - name: Natures
    description: Natures.
  - name: Invoices
    description: Invoices.
  - name: Inbox
    description: Inbox.
  - name: Documents
    description: Documents.
paths:
  /cleemy-procurement/api/purchases/{id}:
    parameters:
      - $ref: '#/components/parameters/Authorization'
      - name: id
        description: ID of the purchase.
        in: path
        required: true
        schema:
          type: integer
          format: int32
    get:
      tags:
        - Purchases
      summary: Get Purchase
      description: Retrieve a purchase by its ID.
      operationId: get-purchase
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                unevaluatedProperties: false
                allOf:
                  - $ref: '#/components/schemas/purchase'
              examples:
                purchase:
                  $ref: '#/components/examples/purchase.get'
components:
  parameters:
    Authorization:
      name: Authorization
      required: true
      description: 'API key. Value must be formatted like so: `lucca application={api_key}`.'
      in: header
      schema:
        type: string
  schemas:
    purchase:
      title: Purchase
      description: Purchase.
      type: object
      required: []
      properties:
        id:
          type: integer
          format: int32
          readOnly: true
        type:
          allOf:
            - $ref: '#/components/schemas/purchase-type'
            - readOnly: true
        title:
          description: Title of the purchase.
          type: string
        state:
          type: string
          enum:
            - Created
            - Processing
            - Ongoing
            - Denied
            - Closed
            - Cancelled
          readOnly: true
        commitment:
          allOf:
            - $ref: '#/components/schemas/commitment'
            - description: |-
                **Read-only.** Commitment of the purchase.
                readOnly: true
        ownerId:
          description: ID of the user who is the owner of the purchase.
          type: integer
          format: int32
          writeOnly: true
        owner:
          allOf:
            - $ref: '#/components/schemas/user-reference'
            - readOnly: true
              description: Owner of the purchase.
        natureId:
          description: ID of the nature to which the purchase belongs.
          type: integer
          format: int32
          writeOnly: true
        nature:
          description: Nature of the purchase.
          type: object
          readOnly: true
          required: []
          properties:
            id:
              type: integer
              format: int32
            name:
              type: string
              readOnly: true
            href:
              type: string
              readOnly: true
        costCenterId:
          description: ID of the cost-center to which the purchase belongs.
          type: integer
          format: int32
          writeOnly: true
        costCenter:
          allOf:
            - $ref: '#/components/schemas/cost-center-reference'
            - readOnly: true
              description: '**Read-only.** Cost-center to which the purchase belongs.'
        establishmentId:
          description: ID of the establishment to which the purchase belongs.
          type: integer
          format: int32
          writeOnly: true
        establishment:
          allOf:
            - $ref: '#/components/schemas/establishment-reference'
            - readOnly: true
              description: '**Read-only.** Establishment to which the purchase belongs.'
        departmentId:
          description: ID of the department to which the purchase belongs.
          type: integer
          format: int32
          writeOnly: true
        department:
          allOf:
            - $ref: '#/components/schemas/department-reference'
            - readOnly: true
              description: '**Read-only.** Department to which the purchase belongs.'
        supplier:
          description: Supplier of the purchase.
          anyOf:
            - $ref: '#/components/schemas/draft-supplier'
            - $ref: '#/components/schemas/concrete-supplier'
          discriminator:
            propertyName: type
            mapping:
              Draft:
                $ref: '#/components/schemas/draft-supplier'
              Concrete:
                $ref: '#/components/schemas/concrete-supplier'
        availableAmount:
          allOf:
            - $ref: '#/components/schemas/dual-currency-amount'
            - readOnly: true
              description: '**Read-only.** Available amount of the purchase.'
        billedAmount:
          allOf:
            - $ref: '#/components/schemas/dual-currency-amount'
            - readOnly: true
              description: '**Read-only.** Billed amount of the purchase.'
        committedAmount:
          allOf:
            - $ref: '#/components/schemas/dual-currency-amount'
            - readOnly: true
              description: '**Read-only.** Committed amount of the purchase.'
        confirmedAmount:
          allOf:
            - $ref: '#/components/schemas/dual-currency-amount'
            - readOnly: true
              description: '**Read-only.** Confirmed amount of the purchase.'
        requestedAmount:
          allOf:
            - $ref: '#/components/schemas/dual-currency-amount'
            - readOnly: true
              description: '**Read-only.** Requested amount of the purchase.'
        aggregatedStates:
          description: '**Read-only.** Aggregated states of the purchase.'
          readOnly: true
          type: object
          properties:
            creditNotes:
              description: Aggregated states of the credit notes of the purchase.
              type: object
              required: []
              properties:
                expected:
                  description: Number of expected credit notes.
                  type: integer
                  format: int32
                toReview:
                  description: Number of credit notes to review.
                  type: integer
                  format: int32
                partial:
                  description: Number of partial credit notes.
                  type: integer
                  format: int32
                confirmed:
                  description: Number of confirmed credit notes.
                  type: integer
                  format: int32
                pendingRetraction:
                  description: Number of pending retraction credit notes.
                  type: integer
                  format: int32
                removed:
                  description: Number of removed credit notes.
                  type: integer
                  format: int32
                bypassed:
                  description: Number of bypassed credit notes.
                  type: integer
                  format: int32
            invoices:
              description: >-
                **Read-only.** Aggregated states of the invoices of the
                purchase.
              readOnly: true
              type: object
              required: []
              properties:
                expected:
                  description: Number of expected invoices.
                  type: integer
                  format: int32
                toReview:
                  description: Number of invoices to review.
                  type: integer
                  format: int32
                pendingBreakdown:
                  description: Number of invoices pending breakdown.
                  type: integer
                  format: int32
                confirmed:
                  description: Number of confirmed invoices.
                  type: integer
                  format: int32
                litigation:
                  description: Number of invoices in litigation.
                  type: integer
                  format: int32
                discarded:
                  description: Number of discarded invoices.
                  type: integer
                  format: int32
                removed:
                  description: Number of removed invoices.
                  type: integer
                  format: int32
                bypassed:
                  description: Number of bypassed invoices.
                  type: integer
                  format: int32
            invoicesPayments:
              description: >-
                **Read-only.** Aggregated states of the invoices payments of the
                purchase.
              type: object
              readOnly: true
              required: []
              properties:
                toPay:
                  description: Number of invoices to pay.
                  type: integer
                  format: int32
                underReview:
                  description: Number of invoices under review.
                  type: integer
                  format: int32
                emitting:
                  description: Number of invoices emitting.
                  type: integer
                  format: int32
                paid:
                  description: Number of paid invoices.
                  type: integer
                  format: int32
                onHold:
                  description: Number of invoices on hold.
                  type: integer
                  format: int32
            creditNotesPayments:
              description: >-
                **Read-only.** Aggregated states of the credit notes payments of
                the purchase.
              type: object
              required: []
              properties:
                available:
                  description: Number of available credit notes payments.
                  type: integer
                  format: int32
                consumed:
                  description: Number of consumed credit notes payments.
                  type: integer
                  format: int32
                unavailable:
                  description: Number of unavailable credit notes payments.
                  type: integer
                  format: int32
        axisSectionIds:
          description: >-
            **Write-only.** IDs of the axis-sections to which the purchase
            belongs.
          type: array
          items:
            type: integer
            format: int32
          writeOnly: true
        axisSections:
          description: '**Read-only.** Axis-sections to which the purchase belongs.'
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/axis-section-reference'
        createdAt:
          description: '**Read-only.** Date of creation of the purchase'
          type: string
          format: date-time
          readOnly: true
        author:
          description: '**Read-only.** User ID who is the author of the purchase.'
          allOf:
            - $ref: '#/components/schemas/user-reference'
            - readOnly: true
        modifiedAt:
          description: '**Read-only.** Date of last modification of the purchase.'
          type: string
          format: date-time
          readOnly: true
        modifier:
          description: '**Read-only.** User ID who is the modifier of the purchase.'
          allOf:
            - $ref: '#/components/schemas/user-reference'
            - readOnly: true
    purchase-type:
      title: purchase-type
      description: Type of purchase.
      type: string
      enum:
        - Subscription
        - OneTime
    commitment:
      title: commitment
      description: >-
        Represents a purchase commitment. Can be one of two types:
        `Subscription` or `OneTime`.


        A "subscription" typed commitment represents a purchase commitment that
        will be paid in installments over a given period, whereas a "one-time"
        commitment will be paid in full once.
      anyOf:
        - $ref: '#/components/schemas/subscription-commitment'
        - $ref: '#/components/schemas/one-time-commitment'
      discriminator:
        propertyName: type
    user-reference:
      title: Reference to a user
      description: Reference to a user.
      type: object
      required: []
      properties:
        id:
          type: integer
          format: int32
        href:
          type: string
          format: uri
          readOnly: true
        name:
          type: string
          readOnly: true
        firstName:
          type: string
          readOnly: true
        lastName:
          type: string
          readOnly: true
        pictureHref:
          description: '**Read-only.** URL to this user picture image file.'
          type:
            - string
            - 'null'
          format: uri
          readOnly: true
    cost-center-reference:
      title: Reference to a cost-center
      description: Reference to a cost-center.
      type: object
      required: []
      properties:
        id:
          type: integer
          format: int32
        name:
          description: '**Read-only.** Name of the cost-center.'
          type: string
          readOnly: true
        code:
          description: '**Read-only.** Code of the cost-center.'
          type: string
          readOnly: true
        href:
          type: string
          readOnly: true
    establishment-reference:
      title: Reference to an establishment
      description: Reference to an establishment.
      type: object
      required: []
      properties:
        id:
          type: integer
          format: int32
        name:
          type: string
          readOnly: true
        href:
          type: string
          format: uri
          readOnly: true
    department-reference:
      title: Reference to a department
      description: Reference to a department.
      type: object
      required: []
      properties:
        id:
          type: integer
          format: int32
        name:
          type: string
          readOnly: true
        href:
          type: string
          format: uri
          readOnly: true
    draft-supplier:
      title: Supplier (Draft)
      description: Draft supplier.
      type: object
      required:
        - name
        - territoryId
      properties:
        type:
          type: string
          const: Draft
          default: Draft
          readOnly: true
        name:
          type: string
        territoryId:
          description: ID of the territory to which the supplier belongs.
          type: string
          writeOnly: true
        territory:
          allOf:
            - $ref: '#/components/schemas/territory-reference'
            - readOnly: true
              description: '**Read-only.** Territory to which the supplier belongs.'
    concrete-supplier:
      title: Supplier (Concrete)
      description: Non-draft supplier.
      type: object
      required:
        - id
      properties:
        id:
          type: integer
          format: int32
        type:
          type: string
          const: Concrete
          readOnly: true
        href:
          type: string
          readOnly: true
        name:
          type: string
          readOnly: true
        flag:
          type: string
          enum:
            - Unflagged
            - Flagged
          readOnly: true
    dual-currency-amount:
      title: dual-currency-amount
      description: Represents an amount of money in two different currencies.
      type: object
      properties:
        base:
          $ref: '#/components/schemas/amount'
        counter:
          $ref: '#/components/schemas/amount'
        rate:
          type: number
          format: double
    axis-section-reference:
      title: Reference to an axis-section
      description: Reference to an axis-section.
      type: object
      required:
        - id
      properties:
        id:
          type: integer
          format: int32
        href:
          type: string
          format: uri
          readOnly: true
          description: '**Read-only.** Relative link to this resource.'
        name:
          description: '**Read-only.** Name of the axis-section.'
          type: string
          readOnly: true
        code:
          description: '**Read-only.** Code of the axis-section.'
          type: string
          readOnly: true
        axisId:
          description: '**Read-only.** ID of the axis to which the axis-section belongs.'
          type: integer
          format: int32
          readOnly: true
    subscription-commitment:
      title: Subscription Commitment
      description: Commitment for a subscription.
      type: object
      required: []
      properties:
        id:
          description: ID of the commitment.
          type: integer
          format: int32
          readOnly: true
        type:
          description: Type of the commitment.
          type: string
          const: SubscriptionCommitment
        owner:
          description: Owner of the commitment.
          allOf:
            - $ref: '#/components/schemas/user-reference'
            - description: User ID who is the owner of the commitment.
        purchase:
          description: Purchase of the commitment.
          allOf:
            - $ref: '#/components/schemas/purchase-reference'
            - description: Purchase of the subscription commitment.
              readOnly: true
        attachments:
          description: Attachments of the commitment.
          type: array
          minItems: 1
          maxItems: 3
          items:
            $ref: '#/components/schemas/attachment'
        comment:
          description: Comment of the commitment.
          type:
            - string
            - 'null'
        paymentMethod:
          description: Method of payment of the commitment.
          anyOf:
            - $ref: '#/components/schemas/payment-method'
            - type: 'null'
        state:
          $ref: '#/components/schemas/commitment-state'
          description: State of the commitment.
        startDate:
          description: Start date of the subscription.
          type: string
          format: date
        firstInvoiceDate:
          description: Date of the first invoice.
          type: string
          format: date
        invoicingFrequency:
          description: Invoicing frequency of the subscription.
          type: object
          required: []
          properties:
            value:
              type: integer
              format: int32
            unit:
              $ref: '#/components/schemas/time-unit'
        subscriptionDuration:
          description: Duration of the subscription.
          type: object
          required: []
          properties:
            value:
              type: integer
              format: int32
            unit:
              $ref: '#/components/schemas/time-unit'
        contractualObligation:
          description: Contractual obligation of the subscription.
          type: object
          required: []
          properties:
            value:
              type: integer
              format: int32
            unit:
              $ref: '#/components/schemas/time-unit'
        terminationNotice:
          description: Termination notice of the subscription.
          type: object
          required: []
          properties:
            value:
              type: integer
              format: int32
            unit:
              $ref: '#/components/schemas/time-unit'
        amountIncludingTaxesPerPeriod:
          allOf:
            - $ref: '#/components/schemas/dual-currency-taxed-amount'
            - description: Amount including taxes per period.
        amountIncludingTaxes:
          allOf:
            - $ref: '#/components/schemas/dual-currency-taxed-amount'
            - description: Amount including taxes.
        subscriptionEndDate:
          description: End date of the subscription.
          type: string
          format: date
        periodsCount:
          description: Number of periods.
          type: integer
          format: int32
        contractualEndDate:
          description: End date of the contractual obligation.
          type:
            - string
            - 'null'
          format: date
        createdAt:
          description: Date of creation of the commitment. Read-only.
          type: string
          format: date-time
          readOnly: true
        author:
          allOf:
            - $ref: '#/components/schemas/user-reference'
            - description: '**Read-only.** User ID who is the author of the commitment.'
              readOnly: true
        modifiedAt:
          description: '**Read-only.** Date of last modification of the commitment.'
          type: string
          format: date-time
          readOnly: true
        modifier:
          allOf:
            - $ref: '#/components/schemas/user-reference'
            - description: '**Read-only.** User ID who is the modifier of the commitment.'
              readOnly: true
    one-time-commitment:
      title: One-Time Commitment
      description: Commitment for a one-time purchase.
      type: object
      required: []
      properties:
        id:
          type: integer
          format: int32
          readOnly: true
        type:
          type: string
          const: OneTimeCommitment
        purchase:
          allOf:
            - $ref: '#/components/schemas/purchase-reference'
            - description: Purchase of the one-time commitment.
              readOnly: true
        owner:
          allOf:
            - $ref: '#/components/schemas/user-reference'
            - readOnly: true
        attachmentIds:
          writeOnly: true
          type: array
          items:
            type: integer
        attachments:
          readOnly: true
          type: array
          minItems: 1
          maxItems: 3
          items:
            $ref: '#/components/schemas/attachment'
        comment:
          type:
            - string
            - 'null'
        paymentMethod:
          anyOf:
            - $ref: '#/components/schemas/payment-method'
            - type: 'null'
        state:
          $ref: '#/components/schemas/commitment-state'
        amountIncludingTaxes:
          $ref: '#/components/schemas/dual-currency-taxed-amount'
        costDate:
          type: string
          format: date
        invoiceDate:
          type: string
          format: date
        createdAt:
          type: string
          format: date-time
          readOnly: true
        author:
          allOf:
            - $ref: '#/components/schemas/user-reference'
            - readOnly: true
        modifiedAt:
          type: string
          format: date-time
          readOnly: true
        modifier:
          allOf:
            - $ref: '#/components/schemas/user-reference'
            - readOnly: true
    territory-reference:
      title: Reference to a territory
      description: Reference to a territory.
      type: object
      required: []
      properties:
        id:
          type: integer
          format: int32
        name:
          type: string
          readOnly: true
        href:
          type: string
          format: uri
          readOnly: true
    amount:
      title: amount
      description: Represents an amount of money.
      type: object
      properties:
        value:
          type: number
          format: double
        currency:
          $ref: '#/components/schemas/currency'
    purchase-reference:
      title: Reference to a purchase
      description: Reference to a purchase.
      type: object
      required: []
      properties:
        id:
          type: integer
          format: int32
        href:
          type: string
          readOnly: true
        name:
          type: string
          readOnly: true
        type:
          allOf:
            - $ref: '#/components/schemas/purchase-type'
            - readOnly: true
              description: '**Read-only.** Type of the purchase.'
    attachment:
      title: attachment
      description: File attached to this object.
      type: object
      required: []
      properties:
        id:
          type: integer
          format: int32
        file:
          $ref: '#/components/schemas/file'
        createdAt:
          type: string
          format: date-time
        pages:
          type: object
          properties:
            displayHrefTemplate:
              type: string
            count:
              type: integer
              format: int32
    payment-method:
      title: Method of Payment (enum)
      description: >-
        BankTransfer: bank transfer. PhysicalCard: physical card. Check: check.
        DirectDebit: direct debit. SingleUseCard: single use card.
      type: string
      enum:
        - BankTransfer
        - PhysicalCard
        - Check
        - DirectDebit
        - SingleUseCard
    commitment-state:
      title: State of Commitment (enum)
      description: >-
        Created: the commitment is created. UnderReview: the commitment's
        approval is pending'. Provisioned: the commitment is approved. Denied:
        the commitment is denied. Cancelled: the commitment is cancelled.
      type: string
      enum:
        - Created
        - UnderReview
        - Provisioned
        - Denied
        - Cancelled
    time-unit:
      title: Unit of Time (enum)
      description: 'Day: day. Week: week. Month: month. Year: year.'
      type: string
      enum:
        - Day
        - Week
        - Month
        - Year
    dual-currency-taxed-amount:
      title: Dual currency taxed amount
      description: >-
        Represents an amount of money with VAT taxes in two different
        currencies.
      type: object
      properties:
        base:
          $ref: '#/components/schemas/taxed-amount'
        counter:
          $ref: '#/components/schemas/taxed-amount'
        rate:
          type: number
          format: double
    currency:
      title: currency
      description: ISO-4217 currency code.
      type: string
      minLength: 3
      enum:
        - Invalid
        - ALL
        - DZD
        - ARS
        - AUD
        - BSD
        - BHD
        - BDT
        - AMD
        - BBD
        - BMD
        - BTN
        - BOB
        - BWP
        - BZD
        - SBD
        - BND
        - MMK
        - BIF
        - KHR
        - CAD
        - CVE
        - KYD
        - LKR
        - CLP
        - CNY
        - COP
        - KMF
        - CRC
        - HRK
        - CUP
        - CZK
        - DKK
        - DOP
        - SVC
        - ETB
        - ERN
        - FKP
        - FJD
        - DJF
        - GMD
        - GIP
        - GTQ
        - GNF
        - GYD
        - HTG
        - HNL
        - HKD
        - HUF
        - ISK
        - INR
        - IDR
        - IRR
        - IQD
        - ILS
        - JMD
        - JPY
        - KZT
        - JOD
        - KES
        - KPW
        - KRW
        - KWD
        - KGS
        - LAK
        - LBP
        - LSL
        - LVL
        - LRD
        - LYD
        - LTL
        - MOP
        - MWK
        - MYR
        - MVR
        - MRO
        - MUR
        - MXN
        - MNT
        - MDL
        - MAD
        - OMR
        - NAD
        - NPR
        - ANG
        - AWG
        - VUV
        - NZD
        - NIO
        - NGN
        - NOK
        - PKR
        - PAB
        - PGK
        - PYG
        - PEN
        - PHP
        - QAR
        - RUB
        - RWF
        - SHP
        - STD
        - SAR
        - SCR
        - SLL
        - SGD
        - VND
        - SOS
        - ZAR
        - SSP
        - SZL
        - SEK
        - CHF
        - SYP
        - THB
        - TOP
        - TTD
        - AED
        - TND
        - UGX
        - MKD
        - EGP
        - GBP
        - TZS
        - USD
        - UYU
        - UZS
        - WST
        - YER
        - ZMK
        - TWD
        - UYW
        - VES
        - MRU
        - STN
        - CUC
        - ZWL
        - BYN
        - TMT
        - GHS
        - VEF
        - SDG
        - UYI
        - RSD
        - MZN
        - AZN
        - RON
        - CHE
        - CHW
        - TRY
        - XAF
        - XCD
        - XOF
        - XPF
        - XBA
        - XBB
        - XBC
        - XBD
        - XAU
        - XDR
        - XAG
        - XPT
        - XTS
        - XPD
        - XUA
        - ZMW
        - SRD
        - MGA
        - COU
        - AFN
        - TJS
        - AOA
        - BYR
        - BGN
        - CDF
        - BAM
        - EUR
        - MXV
        - UAH
        - GEL
        - BOV
        - PLN
        - BRL
        - CLF
        - XSU
        - USN
        - XXX
    file:
      title: file
      description: Reference to a file.
      type: object
      required: []
      properties:
        id:
          type: string
          format: uuid
        href:
          type: string
        name:
          type: string
        displayHref:
          type: string
    taxed-amount:
      title: taxed-amount
      description: Represents an amount of money with VAT taxes.
      type: object
      properties:
        excludingTaxes:
          $ref: '#/components/schemas/amount'
        taxes:
          type: array
          items:
            type: object
            required: []
            properties:
              rateTypeId:
                type: integer
                format: int32
              value:
                type: number
                format: double
              currency:
                $ref: '#/components/schemas/currency'
        includingTaxes:
          $ref: '#/components/schemas/amount'
  examples:
    purchase.get:
      summary: GET purchase response example.
      description: GET purchase response example.
      value:
        id: 6655
        type: Subscription
        commitment:
          id: 6233
          type: SubscriptionCommitment
          owner:
            id: 416
            href: https://example.ilucca.net/api/v3/users/416
            name: John Doe
            firstName: John
            lastName: Doe
            pictureHref: https://example.ilucca.net/directory/api/employees/416/picture
          purchase:
            id: 6655
            href: /cleemy-procurement/api/purchases/6655
            name: AWS S3
            type: Subscription
          attachments:
            - id: 14810
              file:
                id: a6dcc9e5-d251-4d3a-86a2-74d9b452b643
                href: >-
                  /cleemy-procurement/api/files/a6dcc9e5-d251-4d3a-86a2-74d9b452b643
                name: mintlify.png
                displayHref: >-
                  /cleemy-procurement/api/files/a6dcc9e5-d251-4d3a-86a2-74d9b452b643/display
              createdAt: '2024-09-24T10:02:02.4476765+00:00'
              pages:
                displayHrefTemplate: >-
                  /cleemy-procurement/api/files/a6dcc9e5-d251-4d3a-86a2-74d9b452b643/display/pages/{pageNumber}
                count: 1
          comment: Renewal of our AWS S3 subscription.
          paymentMethod: SingleUseCard
          state: Provisioned
          startDate: '2024-09-24'
          firstInvoiceDate: '2024-09-24'
          invoicingFrequency:
            value: 12
            unit: Month
          subscriptionDuration:
            value: 12
            unit: Month
          subscriptionEndDate: '2025-09-23'
          contractualEndDate: null
          periodsCount: 1
          amountIncludingTaxesPerPeriod:
            base:
              excludingTaxes:
                value: 3239.57
                currency: EUR
              taxes: []
              includingTaxes:
                value: 3239.57
                currency: EUR
            counter:
              excludingTaxes:
                value: 3239.57
                currency: EUR
              taxes: []
              includingTaxes:
                value: 3239.57
                currency: EUR
            rate: 1
          amountIncludingTaxes:
            base:
              excludingTaxes:
                value: 3239.57
                currency: EUR
              taxes: []
              includingTaxes:
                value: 3239.57
                currency: EUR
            counter:
              excludingTaxes:
                value: 3239.57
                currency: EUR
              taxes: []
              includingTaxes:
                value: 3239.57
                currency: EUR
            rate: 1
          createdAt: '2024-09-24T10:02:01.9244011+00:00'
          author:
            name: John Doe
            firstName: John
            lastName: Doe
            pictureHref: https://example.ilucca.net/directory/api/employees/416/picture
            id: 416
            href: https://example.ilucca.net/api/v3/users/416
          modifiedAt: '2024-09-24T13:52:40.3558953+00:00'
          modifier:
            name: Matt Bawss
            firstName: Matt
            lastName: Bawss
            pictureHref: https://example.ilucca.net/directory/api/employees/979/picture
            id: 979
            href: https://example.ilucca.net/api/v3/users/979
        createdAt: '2024-09-24T10:02:01.7596447+00:00'
        modifiedAt: '2024-10-30T10:57:03.4349936+00:00'
        author:
          name: John Doe
          firstName: John
          lastName: Doe
          pictureHref: https://example.ilucca.net/directory/api/employees/416/picture
          id: 416
          href: https://example.ilucca.net/api/v3/users/416
        modifier:
          name: Gérôme Durand
          firstName: Gérôme
          lastName: Durand
          pictureHref: https://example.ilucca.net/directory/api/employees/1383/picture
          id: 1383
          href: https://example.ilucca.net/api/v3/users/1383
        owner:
          name: John Doe
          firstName: John
          lastName: Doe
          pictureHref: https://example.ilucca.net/directory/api/employees/416/picture
          id: 416
          href: https://example.ilucca.net/api/v3/users/416
        nature:
          name: Abonnement SAAS
          id: 1
          href: /cleemy-procurement/api/natures/1
        costCenter:
          name: 406_Product Ops
          code: 406_Product Ops
          id: 41
          href: /cleemy-procurement/api/costcenters/41
        establishment:
          name: Lucca Marseille
          id: 13
          href: >-
            https://example.ilucca.net/organization/structure/api/establishments/13
        department:
          name: Product Department
          id: 57
          href: https://example.ilucca.net/organization/structure/api/departments/57
        supplier:
          id: 952
          type: Concrete
          href: /cleemy-procurement/api/suppliers/952
          name: Amazon
          territory:
            name: United States of America
            id: US
            href: >-
              https://example.ilucca.net/organization/structure/api/countries?code=US
          flag: Unflagged
        availableAmount:
          base:
            value: 0
            currency: EUR
          counter:
            value: 0
            currency: EUR
          rate: 1
        billedAmount:
          base:
            value: 3214.66
            currency: EUR
          counter:
            value: 3214.66
            currency: EUR
          rate: 1
        committedAmount:
          base:
            value: 3214.66
            currency: EUR
          counter:
            value: 3214.66
            currency: EUR
          rate: 1
        confirmedAmount:
          base:
            value: 3214.66
            currency: EUR
          counter:
            value: 3214.66
            currency: EUR
          rate: 1
        requestedAmount:
          base:
            value: 3214.66
            currency: EUR
          counter:
            value: 3214.66
            currency: EUR
          rate: 1
        aggregatedStates:
          creditNotes:
            expected: 0
            toReview: 0
            partial: 0
            confirmed: 0
            pendingRetraction: 0
            removed: 0
            bypassed: 0
          invoices:
            expected: 0
            toReview: 0
            pendingBreakdown: 0
            confirmed: 0
            litigation: 0
            discarded: 0
            removed: 0
            bypassed: 1
          invoicesPayments:
            toPay: 0
            underReview: 0
            emitting: 0
            paid: 1
            onHold: 0
          creditNotesPayments:
            available: 0
            consumed: 0
            unavailable: 0
        axisSections: []
        title: AWS S3
        state: Closed

````